jQuery(function($){
	$(document).ready(function($) {
		var post_ID = $('#post_ID').val();
		$('.wpex_meta_upload').each(function() {
			$(this).click(function() {
				tbframe_interval = setInterval(function() {jQuery('#TB_iframeContent').contents().find('.savesend .button').val('Use This Image');}, 100);
				tbframe_interval;
				var $prevInputID = $(this).prev().attr('id');
				window.send_to_editor = function(html) {
					var $imgurl = $('img',html).attr('src');
					$('#' + $prevInputID).val($imgurl);
					tb_remove();
				}
				tb_show('Upload Images', 'media-upload.php?post_id='+ post_ID +'&amp;TB_iframe=true');
				return false;
			});
		});
	});
});
